/* 
 * EIO Piljardivoistluse Graafika Praktikum
 * 16. detsember 2007
 * (C) Konstantin Tretjakov
 * (C) Dan Bogdanov
 */
#include "allegro.h"

// Selles failis naitame kuidas tootada reaalmaailma koordinaatidega
// ning joonistada piljardilaua ning palle.

// Piljardilaua koordinaadid on antud konstantides pool_table_vertex_count
// ning pool_table_coords failis pool_table_coords.h
#include "pool_table_coords.h"


// Ekraani suurus pikslites
const int SCREEN_WIDTH = 800;
const int SCREEN_HEIGHT = 600;

// Vastava maailma ala tegelik suurus meetrites
const float VIEWPORT_WIDTH = 3;
const float VIEWPORT_HEIGHT = VIEWPORT_WIDTH*SCREEN_HEIGHT/SCREEN_WIDTH;


void draw() {
  clear_bitmap(screen);
  
  // Siin joonistame piljardilaua
  
}


/* 
 * main, nagu ikka
 */
int main(int argc, char *argv[]) {
  allegro_init ();
  install_keyboard ();
  int bits = desktop_color_depth ();
  set_color_depth (bits);
  set_gfx_mode (GFX_AUTODETECT_WINDOWED, SCREEN_WIDTH, SCREEN_HEIGHT, 0, 0);

  draw();

  while (!keypressed ());
  clear_keybuf ();
  return 0;
}
END_OF_MAIN ()

